{ config, pkgs, ... }:
{
  # system packages + services
  environment.systemPackages = with pkgs; [
    vim 
    wget
    fastfetch
    lsof
    btop
    git
    openssl
    stdenv
    gnumake
    parted
    zfs
    nixos-generators
    sqlite
  ];

  services.openssh.enable         = true;
  services.printing.enable        = true;
  services.tailscale.enable       = true;
  services.tailscale.useRoutingFeatures = "both";
}
